﻿<#
Examples for video "Настройка анонимных Receive Connectors в Exchange Server" https://www.youtube.com/watch?v=AjiVJckVOZg

#>
#region SMTP Log
cls
$FileName="C:\Program Files\Microsoft\Exchange Server\V15\TransportRoles\Logs\FrontEnd\ProtocolLog\SmtpReceive\RECV{0}{1}-1.LOG" -f (Get-date -Format "yyyyMMdd"),(((Get-date -Format "HH")-3))

$MyFile = Get-Content -Path $FileName | ? { $_ -match "192.168.10.139" }

$MyFile| ogv

#endregion



#region Tail
cls
$FileName="C:\Program Files\Microsoft\Exchange Server\V15\TransportRoles\Logs\FrontEnd\ProtocolLog\SmtpReceive\RECV{0}{1}-1.LOG" -f (Get-date -Format "yyyyMMdd"),(((Get-date -Format "HH")-3))
Get-Content  $FileName -Tail 2 –Wait |  where {$_ -match '192.168.10.139'}

#Get-Content f:\templog.txt -wait | select-string 'search'
#endregion


#region New Receive Connector

New-ReceiveConnector -Name "Anonymous-RC3" -Bindings "0.0.0.0:25" -RemoteIPRanges "192.168.10.139"`
  -TransportRole FrontendTransport -Banner "220 ESMTP ex01\Anonymous-RC3" -PermissionGroups AnonymousUsers 

set-ReceiveConnector -Identity "Anonymous-RC3" -ProtocolLoggingLevel 

#endregion

#region Send as anonymous sender

$s = New-Object System.Security.SecureString
$creds = New-Object -TypeName System.Management.Automation.PSCredential -ArgumentList "NT AUTHORITY\ANONYMOUS LOGON", $S

Send-MailMessage –From noreply@365lab.ru –To superuser@365lab.ru –Subject “Scanned document“ `
           –SmtpServer ex01 –Body “Test”  -Attachments c:\install\Document.pdf -Credential $creds 
#endregion 
